<?php
defined('BASEPATH') OR exit('No direct script access allowed');

function instanciarCuenta() //poner todo esto en un helper
{
    $cuenta=[];
    $cuenta["idCuenta"]=null; 
    $cuenta["idNotaVenta"]=0; 
    $cuenta["idUsuario"]=0; 
    $cuenta["idPaciente"]=0; 
    $cuenta["monto"]=0; 
    $cuenta["saldo"]=0; 
    $cuenta["fechaAlta"]=""; 
    $cuenta["situacion"]=""; 
    $cuenta["comentarios"]="";
    $cuenta["status"]=1;
    return $cuenta;
}
function instanciarEncPago()
{
    $encPago=[];
    $encPago["idEncPago"]=null; 
    //$encPago["idNotaVenta"]=0; 
    $encPago["fecha"]=""; 
    $encPago["serie"]=""; 
    $encPago["folio"]=0; 
    $encPago["monto"]=0; 
    $encPago["situacion"]=""; 
    $encPago["tipo"]="";
    $encPago["idUsuario"]=""; 
    $encPago["comentario"]=""; 
    $encPago["status"]=1;
    return $encPago;
}
function instanciarPago()
{
    $pago=[];
    $pago["idPago"]=null; 
    $pago["idEncPago"]=0; 
    $pago["idNotaVenta"]=0; 
    $pago["idCuenta"]=0; 
    $pago["importe"]=0;
    $pago["situacion"]=""; 
    $pago["status"]=1;
    return $pago;
} 
function instanciarMovCuenta()
{
    $movCuenta=[];
    $movCuenta["idMovCuenta"]=null; 
    $movCuenta["idCuenta"]=0;
    $movCuenta["tipoMov"]=""; 
    $movCuenta["motivo"]=""; 
    $movCuenta["saldoAnterior"]=0;
    $movCuenta["importe"]=0; 
    $movCuenta["saldoActual"]=0; 
    $movCuenta["fechaAlta"]="";
    $movCuenta["idEncPago"]="";
    $movCuenta["situacion"]=""; 
    $movCuenta["status"]=1;
    return $movCuenta;
}